@import "./variables";
@import "./mixins/mixins";

/*Notification card styles START here*/
::ng-deep :root {
  --cc-notification-list-bg:var(--white);
  --cc-notification-list-br: var(--rc-dddddd);
  --cc-notification-status-bg:var(--gray-200);
  --cc-notification-date-text:var(--gray-200);
  --cc-notification-logo-bg:var(--gray-0);
  --cc-notification-title-text:var(--gray-400);
  --cc-notification-title-active:var(--primary-color);
  --cc-notification-subtitle-text:var(--gray-400);
}

.sb-notification-list {
  border-radius: 0.5rem;
  background-color: var(--cc-notification-list-bg);
  box-shadow: 0.3125rem 0.3125rem 0.125rem 0 rgba(var(--rc-rgba-black), 0.1);
  margin-bottom: 0.5rem;
  border: 0.03125rem solid var(--cc-notification-list-br);
}
.sb-notification-list:hover {
  cursor: pointer;
}
.sb-notification-list:hover .sb-notification-list-header .notification-info .status {
  background-color: var(--orange);
}
.sb-notification-list:hover .sb-notification-list-header .delete-icon .Delete-red {
  display: block;
}
.sb-notification-list:hover .sb-notification-list-header .delete-icon .Delete-gray {
  display: none;
}
.sb-notification-list .sb-notification-list-header .notification-info .status {
  height: 0.5rem;
  width: 0.5rem;
  background-color: var(--cc-notification-status-bg);
  border-radius: 0.5rem;
}
.sb-notification-list .sb-notification-list-header .notification-info .date {
  color: var(--cc-notification-date-text);
  font-size: 0.75rem;
}
.sb-notification-list .sb-notification-list-header .delete-icon .Delete-red {
  display: none;
}
.sb-notification-list .sb-notification-data .logo {
  height: 2rem;
  width: 2rem;
  border-radius: 0.5rem;
  background-color: var(--cc-notification-logo-bg);
  display: inline-flex;
  align-items: center;
  justify-content: center;
}
.sb-notification-list .sb-notification-data .logo img {
  height: 1.5rem;
  max-width: 1.25rem;
}
.sb-notification-list .sb-notification-data .notification-content {
  overflow: hidden;
}
.sb-notification-list .sb-notification-data .notification-content .title {
  color: var(--cc-notification-title-text);
  font-size: 0.875rem;
  font-weight: bold;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.sb-notification-list .sb-notification-data .notification-content .title.active {
  color: var(--cc-notification-title-active);
}
.sb-notification-list .sb-notification-data .notification-content .sub-title {
  color: var(--cc-notification-subtitle-text);
  font-size: 0.75rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
